explain_utime_or_die(3)

NAME
explain_utime_or_die - change file times and report errors
    "change file last access and modification times and report errors"

SYNOPSIS
#include <libexplain/utime.h>

void explain_utime_or_die(const char *pathname, const struct utimbuf *times);

DESCRIPTION
The explain_utime_or_die function is used to call the utime(2) system call. On failure an explanation will be printed to stderr, obtained from explain_utime(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_utime_or_die(pathname, times);

pathname
    The pathname, exactly as to be passed to the utime(2) system call.

times
    The times, exactly as to be passed to the utime(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

utime(2)
    change file last access and modification times

explain_utime(3)
    explain utime(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller